PDA

Visualizza la versione completa : locales debian sid


jaso
02-11-2007, 12:46
Ciao a tutti,

Dopo tanti giorni di lotta sono riuscito a convincere il mi babbo ad usare debian
Stavo installando debian sid quando mi da errore sui locales.

praticamente non ho locales installato e quando provo a installarlo il sistema mi dice questo:

locales: dipends: glibc-2.7-1 but it is non installable
broken pakage.

Come faccio a risolvere?
Proprio ora..
Ciao

mykol
02-11-2007, 13:50
scusa, hai esperienza di linux e di debian ?

Se non iesci a risolvere pi che in fretta ci fai una pessima figura e Linux con te.

In questo caso prova con una mandriva 2008 (la "one" ha gi molti driver e plugins installati e la puoi provare da "live", la "free" su DVD la devi installare e poi installare alcuni plugins) oppure la opensuse o la mepis ..

jaso
02-11-2007, 14:04
Pu essere che la soluzione al mio problema sia pi semplice di quanto immagino.

mykol, se hai in mente una soluzione, se vuoi, puoi condividerla, senn taci.

Forse non mi sono spiegato.
Installando debian stable e poi aggiornando a sid il pacchetto locales viene disinstallato.
Il sistema mi dice che il pacchetto rotto.

Comunque guardando un p in giro (http://packages.debian.org/sid/locales) ho notato che nel ramo unstable il pacchetto locales ha come dipendenza glibc-2.7-1 che appunto non installabile perch: "Package not available".

Secondo me un bug.

Forse se scarico il sorgente e ricompilo funziona. Anzi quasi sicuramente. Ma penso che, come soluzione sia scomoda.

Saluti

mykol
02-11-2007, 14:19
non volevo fare polemiche. pensavo la mia fosse una soluzione ragionevole. Se viene da te qualcuno a venderti qualcosa e poi, dopo tante insistenze, al momento buono non funziona, cosa pensi ?

Nel tuo post hai scritto "Dopo tanti giorni di lotta". E' questo che mi ha spinto a darti quel suggerimento, ma se la prendi cos, amen ...

jaso
02-11-2007, 21:19
Si era un bug.

http://lists.debian.org/debian-devel/2007/11/msg00033.html

francofait
02-11-2007, 23:39
Originariamente inviato da jaso
Si era un bug.

http://lists.debian.org/debian-devel/2007/11/msg00033.html

Quello di mykol invece un virus influenzale : mandrakite acuta :D :D :D :malol:

jaso
03-11-2007, 11:54
Sono riuscito ad installare i paccetti locales e glibc di experimental e tutto è andato a buon fine (mi chiedo perchè)
I miei dubbi sul perchè sia andato tutto bene sono stati rischiarati dal pacchetto xserver-xorg e xorg che non vogliono installarsi oppure si installano a met:

xserver-xorg (1:7.3+3)
dpkg: errore processando xserver-xorg (--configure)
il sottoprocesso post-installation script ha restituito un codice di errore 10
Sono occorsi degli errori processando:
xserver-xorg
E: Sub-process /usr/bin/dpkg returned an error code (1)

Non potevo scegliere momento migliore per installare sid. Quasi quasi metto testing oppure mandrake come mi hanno suggerito.

Siccome sono con links e non ho nè altri pc nè distro live navigare è scomodo e non riesco a trovare soluzioni.
Come posso fare a risolvere?

Loading